=== debian/changelog ===
ros-melodic-moveit-servo (1.0.7-1stretch) stretch; urgency=high

  * [feature] Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * [feature] Servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [fix] Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * [fix] Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * [fix] Fix Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Nathan Brooks, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-servo (1.0.6-1stretch) stretch; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-servo (1.0.5-1stretch) stretch; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs
    * publish from jog calcs timer, removing redundant timer and internal messaging to main timer
    * outgoing message as pool allocated shared pointer for zero copy
    * replace jog_arm shared variables with ros pub/sub
    * use built in zero copy message passing instead of spsc_queues
    * use ros timers instead of threads in jog_arm
  * [feature] Added throttle to jogarm accel limit warning (#2141 <https://github.com/ros-planning/moveit/issues/2141>)
  * [feature] Time-based collision avoidance (#2100 <https://github.com/ros-planning/moveit/issues/2100>)
  * [fix]     Fix crash on empty jog msgs (#2094 <https://github.com/ros-planning/moveit/issues/2094>)
  * [feature] Jog arm dimensions (#1724 <https://github.com/ros-planning/moveit/issues/1724>)
  * [maint]   Clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [feature] Keep updating joints, even while waiting for a valid command (#2027 <https://github.com/ros-planning/moveit/issues/2027>)
  * [fix]     Fix param logic bug for self- and scene-collision proximity thresholds (#2022 <https://github.com/ros-planning/moveit/issues/2022>)
  * [feature] Split collision proximity threshold (#2008 <https://github.com/ros-planning/moveit/issues/2008>)
    * separate proximity threshold values for self-collisions and scene collisions
    * increase default value of scene collision proximity threshold
    * deprecate old parameters
  * [fix]     Fix valid command flags (#2013 <https://github.com/ros-planning/moveit/issues/2013>)
    * Rename the 'zero command flag' variables for readability
    * Reset flags when incoming commands timeout
    * Remove debug line, clang format
  * [maint]   Use default move constructor + assignment operators for MoveItCpp. (#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [fix]     Fix low-pass filter initialization (#1982 <https://github.com/ros-planning/moveit/issues/1982>)
    * Pause/stop JogArm threads using shared atomic bool variables
    * Add pause/unpause flags for jog thread

