## ros-melodic-moveit-servo 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -165,6 +165,16 @@
 if(CATKIN_ENABLE_TESTING)
   find_package(rostest REQUIRED)
 
+  # basic functionality
+  add_rostest_gtest(basic_servo_tests
+    test/basic_servo_tests.test
+    test/basic_servo_tests.cpp
+  )
+  target_link_libraries(basic_servo_tests
+    ${SERVO_LIB_NAME}
+    ${catkin_LIBRARIES}
+  )
+
   # servo_cpp_interface
   add_rostest_gtest(servo_cpp_interface_test
     test/servo_cpp_interface_test.test
