=== debian/changelog ===
ros-melodic-moveit-servo (1.0.11-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-servo (1.0.10-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.9-1bionic) bionic; urgency=high

  * Fix an off-by-one error in servo_calcs.cpp (#2908 <https://github.com/ros-planning/moveit/issues/2908>)
  * Contributors: Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.8-1bionic) bionic; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-servo (1.0.7-1bionic) bionic; urgency=high

  * [feature] Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * [feature] Servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [fix] Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * [fix] Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * [fix] Fix Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Nathan Brooks, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-servo (1.0.6-1bionic) bionic; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-servo (1.0.5-1bionic) bionic; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs

