=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Blake Anderson <blakeanderson@utexas.edu>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-panda-moveit-config <!nocheck>, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
 Homepage: https://ros-planning.github.io/moveit_tutorials
 Standards-Version: 3.9.2
